explain_fchdir_or_die(3)

NAME
explain_fchdir_or_die - change directory and report errors

SYNOPSIS
#include <libexplian/fchdir.h>
void explain_fchdir_or_die(int fildes);

DESCRIPTION
The explain_fchdir_or_die function is used to change directory via the fchdir(2) system call. On failure, it prints an error message on stderr via explain_fchdir(3), and exits.

This function is intended to be used in a fashion similar to the following example:
    explain_fchdir_or_die(fildes);

fildes
    exactly as to be passed to the fchdir(2) system call.

SEE ALSO

fchdir(3)
    change working directory

explain_fchdir(3)
    report fchdir(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2008 Peter Miller

AUTHOR
Written by Peter Miller <pmiller@opensource.org.au>